Analytics
Google SERP
Ranking snapshots for any domain — your sites, client sites and competitors — without ownership verification.
Keyword rows
The keywords view returns position, previousPosition, change, status (new, improved, declined, unchanged, lost), ranking URL, search volume, popularity and estimated traffic.
{ "keyword": "ultralight backpacking pack", "position": 2, "previousPosition": 5, "change": 3, "status": "improved",
"url": "https://example.com/packs", "searchVolume": 6600, "popularity": 71, "traffic": 1056 }GET
/api/v1/websites/{id}/serpRead keyOverview, keywords, best pages or competitors
Authentication: Bearer API key in the Authorization header.
| Parameter | In | Type | Description |
|---|---|---|---|
| view | query | overview | keywords | pages | competitors | Default overview |
| device | query | desktop | mobile | Default desktop |
| date | query | YYYY-MM-DD | Snapshot date (keywords view) |
| compare | query | YYYY-MM-DD | Comparison snapshot (keywords view) |
Request
curl "https://rankspire.tech/api/v1/websites/cm1site9x0001/serp" \
-H "Authorization: Bearer $RANKSPIRE_KEY"Response
{
"data": { "latest": { "date": "2026-10-02T00:00:00.000Z", "top1": 14, "top3": 41, "top10": 138, "totalKeywords": 1240, "avgPosition": 14.2, "globalRank": 48210 },
"series": [{ "date": "2026-07-05", "top10": 112, ... }] }
}